--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: API_VERSION
  value: "'xml-4.2'"
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://www.securepay.com.au/test/payment'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://www.securepay.com.au/xmlapi/payment'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: 0 Standard Payment 4 Refund 6 Client Reversal (Void) 10 Preauthorise 11 Preauth Complete (Advice)
  name: TRANSACTIONS
  value: "{         :purchase => 0,         :authorization => 10,         :capture => 11,         :void => 6,         :credit => 4"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS_CODES
  value: "[ '00', '08', '11', '16', '77' ]"
full_name: ActiveMerchant::Billing::SecurePayAuGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: test?
name: SecurePayAuGateway
superclass: Gateway
